Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78480

Summary: less than optimal source code
Product: [Retired] Red Hat Linux Reporter: d.binderman
Component: xcdroastAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact: Jay Turner <jturner>
Severity: low Docs Contact:
Priority: low    
Version: 8.0CC: srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-09 12:50:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description d.binderman 2002-11-24 10:47:07 UTC
Description of Problem:

Hello there,

I just tried to compile package xcdroast-0.98a9-18 from Redhat 8.0.

Here are some of the compiler messages.

init.c:280: warning: `return' with no value, in function returning non-void

Here is a patch which fixes the messages.

*** ./init.c.old	2002-11-06 14:33:04.000000000 +0000
--- ./init.c	2002-11-06 14:36:48.000000000 +0000
***************
*** 277,285 ****
  	/* file does exist? */
  	if (stat(file,&buf) == 0) {
  		if (!(buf.st_mode & S_ISGID)) {
- 			return;
  			g_warning("Installation problem? No set-gid bit on %s\n", file);
  			dodebug(1,"Warning: No set-gid bit on %s\n", file);
  		}
  
  		return buf.st_gid;
--- 277,285 ----
  	/* file does exist? */
  	if (stat(file,&buf) == 0) {
  		if (!(buf.st_mode & S_ISGID)) {
  			g_warning("Installation problem? No set-gid bit on %s\n", file);
  			dodebug(1,"Warning: No set-gid bit on %s\n", file);
+ 			return (gid_t) 0;
  		}
  
  		return buf.st_gid;


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Harald Hoyer 2003-01-09 12:50:25 UTC
fixed